<?php


class qa_html_theme extends qa_html_theme_base{
	function head_metas()
	{
		qa_html_theme_base::head_metas();
		$this->output('<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">');
	}
	
	
 function q_view_buttons($q_view) {
  if (!empty($q_view['form'])) {
    if(qa_get_logged_in_userid() == $q_view['raw']['userid']) {
      /*
      define('QA_USER_LEVEL_BASIC', 0);
      define('QA_USER_LEVEL_APPROVED', 10);
      define('QA_USER_LEVEL_EXPERT', 20);
      define('QA_USER_LEVEL_EDITOR', 50);
      define('QA_USER_LEVEL_MODERATOR', 80);
      define('QA_USER_LEVEL_ADMIN', 100);
      define('QA_USER_LEVEL_SUPER', 120);
      */
      if(qa_get_logged_in_level() < QA_USER_LEVEL_EXPERT) {
        if(isset($q_view['form']['buttons']['close']))
          unset($q_view['form']['buttons']['close']);
        if(isset($q_view['form']['buttons']['hide']))
          unset($q_view['form']['buttons']['hide']);
      }
    }
  }
  qa_html_theme_base::q_view_buttons($q_view);
}
	





	function body_content()
	{
		$this->body_prefix();
		$this->notices();
		$this->widgets('full', 'top');
		$this->header();
		
		$this->output('<DIV CLASS="qa-body-wrapper">', '');
		$this->widgets('full', 'high');
		$this->main();
		$this->sidepanel();
				$this->output('</div></div> <!-- END main-wrapper -->');

		$this->widgets('full', 'low');
		$this->output('</DIV> <!-- END body-wrapper -->');

		$this->footer();
		$this->widgets('full', 'bottom');
		
		$this->body_suffix();
	}
	function header()
	{
		$this->output('<div class="qa-header">');
		
		$this->output('<DIV CLASS="qa-header-wrapper">');
		$this->logo();
		$this->nav_user_search();
		$this->header_clear();
		$this->output('</DIV>');
		
		$this->output('<DIV CLASS="qa-header-nav"><DIV CLASS="qa-header-wrapper">');
		$this->nav_main_sub();
		$this->header_clear();
		$this->output('</DIV></DIV>');
			
		$this->output('</DIV> <!-- END qa-header -->', '');
		

		
		
	}
	function nav_main_sub()
	{
		$this->nav('main');
	}
	function search_field($search)
	{
		
		$this->output('<INPUT '.$search['field_tags'].' VALUE="'.@$search['value'].'" CLASS="qa-search-field" placeholder="Looking for something?"/>');
	}



	
	function main()
	{
		$content=$this->content;

		$this->output('<DIV CLASS="qa-main'.(@$this->content['hidden'] ? ' qa-main-hidden' : '').'">');
		$this->output('<DIV CLASS="qa-main-wrapper">');
		$this->widgets('main', 'top');
		
		$this->page_title_error();		
		
		$this->widgets('main', 'high');

		/*if (isset($content['main_form_tags']))
			$this->output('<FORM '.$content['main_form_tags'].'>');*/
			
		$this->main_parts($content);
	
		/*if (isset($content['main_form_tags']))
			$this->output('</FORM>');*/
			
		$this->widgets('main', 'low');

		$this->page_links();
		$this->suggest_next();
		
		$this->widgets('main', 'bottom');

		$this->output('</DIV></DIV> <!-- END qa-main -->', '');
	}
	
	function page_title_error()
	{
		$title=@$this->content['title'];
		$favorite=@$this->content['favorite'];
		
		if (isset($favorite))
			$this->output('<FORM '.$favorite['form_tags'].'>');
			
		$this->output('<H1>');

		if (isset($favorite)) {
			$this->output('<DIV CLASS="qa-favoriting" '.@$favorite['favorite_tags'].'>');
			$this->favorite_inner_html($favorite);
			$this->output('</DIV>');
		}

		if (isset($title))

			$this->output('<span>'.$title.'</span>');
			$this->nav('sub');
		
		if (isset($this->content['error'])) {
			$this->output('</H1>');
			$this->error(@$this->content['error']);
		} else
			$this->output('</H1>');

		if (isset($favorite)) {
			$this->form_hidden_elements(@$favorite['form_hidden']);
			$this->output('</form>');
		}
	}
	
	function footer()
	{
		$this->output('<DIV CLASS="qa-footer"><DIV CLASS="qa-footer-wrapper">');
		
		$this->nav('footer');
		$this->attribution();
		$this->footer_clear();
		
		$this->output('</DIV></DIV> 
		
		
		
		<!-- END qa-footer -->', '');
	}
	
	function q_item_stats($q_item)
	{
		$this->output('<DIV CLASS="qa-q-item-stats">');
		
		$this->voting($q_item);
		$this->a_count($q_item);
		$this->view_count($q_item);
		
		$this->output('</DIV>');
	}
	
	
	
		/**
	 * Move user whometa to top in answer
	 *
	 * @since Snow 1.4
	 * @param type $a_item
	 */
	public function a_item_main($a_item)
	{
		$this->output('<div class="qa-a-item-main">');

		if (isset($a_item['main_form_tags']))
			$this->output('<form ' . $a_item['main_form_tags'] . '>'); // form for buttons on answer

		if ($a_item['hidden'])
			$answerState = 'hidden';
		elseif ($a_item['selected'])
			$answerState = 'selected';
		else
			$answerState = null;

		if (isset($answerState))
			$this->output('<div class="qa-a-item-' . $answerState . '">');

		$this->a_selection($a_item);
		if (isset($a_item['error']))
			$this->error($a_item['error']);
		$this->a_item_content($a_item);

		if (isset($answerState))
			$this->output('</div>');
        $this->post_avatar_meta($a_item, 'qa-a-item');
		$this->a_item_buttons($a_item);

		if (isset($a_item['c_list']))
			$this->c_list($a_item['c_list'], 'qa-a-item');

		if (isset($a_item['main_form_tags'])) {
			if (isset($a_item['buttons_form_hidden']))
				$this->form_hidden_elements($a_item['buttons_form_hidden']);
			$this->output('</form>');
		}

		$this->c_form(isset($a_item['c_form']) ? $a_item['c_form'] : null);

		$this->output('</div> <!-- END qa-a-item-main -->');
	}

	
	
	/**
	 * Modify user whometa, move to top
	 *
	 * @since Snow 1.4
	 * @param type $q_view
	 */
	public function q_view_main($q_view)
	{
		$this->output('<div class="qa-q-view-main">');

		if (isset($q_view['main_form_tags']))
			$this->output('<form ' . $q_view['main_form_tags'] . '>'); // form for buttons on question

		$this->post_avatar_meta($q_view, 'qa-q-view');
		$this->q_view_content($q_view);
		$this->q_view_extra($q_view);
		$this->q_view_follows($q_view);
		
		
// Program to display current

echo "<a href='https://fb.me/ashrafukt'>Like</a>"; 
//end program current
		
		
		
		
		$this->q_view_closed($q_view);
		$this->post_tags($q_view, 'qa-q-view');

		$this->q_view_buttons($q_view);
		$this->c_list(isset($q_view['c_list']) ? $q_view['c_list'] : null, 'qa-q-view');

		if (isset($q_view['main_form_tags'])) {
			if (isset($q_view['buttons_form_hidden']))
				$this->form_hidden_elements($q_view['buttons_form_hidden']);
			$this->output('</form>');
		}

		$this->c_form(isset($q_view['c_form']) ? $q_view['c_form'] : null);

		$this->output('</div> <!-- END qa-q-view-main -->');
	}
	
	
		/**
	 * Prevent display view counter on usual place
	 *
	 * @since Snow 1.4
	 * @param type $q_item
	 */
	public function view_count($q_item) {}

	/**
	 * Add view counter to question view
	 *
	 * @since Snow 1.4
	 * @param type $q_view
	 */
	public function q_view_stats($q_view)
	{
		$this->output('<div class="qa-q-view-stats">');

		$this->voting($q_view);
		$this->a_count($q_view);
		parent::view_count($q_view);

		$this->output('</div>');
	}

	
	
	
	function q_item_main($q_item)
	{
		$this->output('<DIV CLASS="qa-q-item-main">');
		
		$this->q_item_title($q_item);
		$this->q_item_content($q_item);
		
		qa_html_theme_base::post_avatar_meta($q_item, 'qa-q-item');
		$this->post_tags($q_item, 'qa-q-item');
		$this->q_item_buttons($q_item);
			
		$this->output('</DIV>');
	}
	

	function post_meta_what($post, $class)
	{
		if (isset($post['what'])) {
			$classes=$class.'-what';
			if (@$post['what_your'])
				$classes.=' '.$class.'-what-your';
			
			if (isset($post['what_url']))
				$this->output('<a href="'.$post['what_url'].'" class="'.$classes.'">'.$post['what'].'</a>');
			else
				$this->output('<span class="'.$classes.'">'.$post['what'].'</span>');
		}
	}

	function c_item_main($c_item)
	{
		$this->error(@$c_item['error']);

		if (isset($c_item['expand_tags']))
			$this->c_item_expand($c_item);
		elseif (isset($c_item['url']))
			$this->c_item_link($c_item);
		else
			$this->c_item_content($c_item);
		
		$this->output('<DIV CLASS="qa-c-item-footer">');
		$this->post_avatar($c_item, 'qa-c-item');
		$this->post_meta($c_item, 'qa-c-item');
		$this->c_item_buttons($c_item);
		$this->output('</DIV>');
	}
	function attribution()
	{
	// you can disable this links in admin options
		$this->output('<DIV CLASS="qa-attribution-container">');
			qa_html_theme_base::attribution();
			$this->output(
				'<DIV CLASS="qa-attribution">',
				'</DIV>'
			);
		$this->output('</DIV>');
	}
	
		/**
	 * Add search-box wrapper with extra class for color scheme
	 *
	 * @since Snow 1.4
	 * @version 1.0
	 */
	 
	 	public function logged_in()
	{
		parent::logged_in();
		
		if (qa_is_logged_in()) { 
    

    
     
    require_once QA_INCLUDE_DIR . 'qa-app-format.php'; 
    require_once QA_INCLUDE_DIR . 'qa-app-options.php';

    if (qa_opt('show_user_titles')) { 
        $pointTitleHtml = 
            '<span class="qa-q-item-who-title">' . 
                qa_get_points_title_html($userpoints, qa_get_points_to_titles()) . 
            '</span>' 
        ; 
    } else { 
        $pointTitleHtml = ''; 
    } 
    
}
		
		
		
	}
	 
	 
	  public function initialize()
    {
        parent::initialize();
        $this->displayUserTitleInProfileSectionTitle();
    }
    private function displayUserTitleInProfileSectionTitle()
    {
        if ($this->template !== 'user') {
            return;
        }
        if (!isset($this->content['form_activity']['fields']['title']['value'])) {
            return;
        }
        $title = $this->content['form_activity']['fields']['title']['value'];
        $this->content['title'] = $this->content['title'] .'' . $title;
    }
	 
	 
	private function qam_search($addon_class = null, $ids = null)
	{
		$id = isset($ids) ? ' id="' . $ids . '"' : '';
	$this->output('<div class="qam-search ' . $this->ask_search_box_class . ' ' . $addon_class . '"' . $id . '>');
		$this->search();
		$this->output('</div><div class="qam-search-box">
<div class="qam-search">
<form method="get" action="https://www.enolez.com/search">
<input type="text" name="q" placeholder=" প্রশ্ন খুজুন পুরো ই-নলেজ জুড়ে..." value="" class="qa-search-field">
<input type="submit" value="খুঁজুন" class="qa-search-button">
</form></div></div>
');
	}
}


/*
	Omit PHP closing tag to help avoid accidental output
*/
